# Endpoint

### Public API Entrance：

| Network                  | Endpoint                         |
| ------------------------ | -------------------------------- |
| Kasplex API TN10 Testnet | <https://tn10api.kasplex.org/v1> |
| Kasplex API Mainnet      | <https://api.kasplex.org/v1>     |

### API Request Method

HTTP/GET

#### Response Code

<table><thead><tr><th width="138">code</th><th width="480">Notes</th></tr></thead><tbody><tr><td>200</td><td>Success. Return data is in JSON format.</td></tr><tr><td>403</td><td>Failed. Check error details in 'message' field.</td></tr><tr><td>404</td><td>Failed. Usually due to invalid URL or network error.</td></tr><tr><td>500</td><td>System error. Please contact the support.</td></tr></tbody></table>

#### Response Fields

<table><thead><tr><th width="142">Name</th><th width="480">Description</th></tr></thead><tbody><tr><td>message</td><td>Strings. Messages returned by interfaces, such as "successful".</td></tr><tr><td>result</td><td>Single object or object array, result data returned by interfaces, refer to various APIs.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-kasplex.gitbook.io/krc20/public-node-api/endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
